---
title: "Health check"
description: "Returns `200` when the app can reach the database through Supabase. Docker uses this as the container health check."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.deathspot.org/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Deathspot UG API › System

`GET /api/health`

Returns `200` when the app can reach the database through Supabase. Docker uses this as the container health check.

## Code samples

### cURL

```curl
curl --request GET \
  --url https://deathspot.org/api/health
```

### TypeScript

```typescript
const url = 'https://deathspot.org/api/health';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://deathspot.org/api/health"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Healthy.

#### Example

```json
{
  "ok": true
}
```

- `getHealth.response.200.ok` (boolean, required)

### 503

The database or API gateway is unreachable.

#### Example

```json
{
  "ok": false,
  "error": "fetch failed"
}
```

- `getHealth.response.503.ok` (boolean, required)
- `getHealth.response.503.error` (string, required)


Source: https://docs.deathspot.org/api/System/getHealth/index.md
